- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# read_args Struct Reference

`#include <sysproto.h>`

## Data Fields
void * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
size_t | nbyte
char | nbyte_l_ [0]
char | nbyte_r_ [(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

## Detailed Description

Definition at line 160 of file sysproto.h.

## Field Documentation

void* read_args::buf

Definition at line 162 of file sysproto.h.

Referenced by read().

char read_args::buf_l_[0]

Definition at line 162 of file sysproto.h.

char read_args::buf_r_[(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]

Definition at line 162 of file sysproto.h.

int read_args::fd

Definition at line 161 of file sysproto.h.

Referenced by read().

char read_args::fd_l_[0]

Definition at line 161 of file sysproto.h.

char read_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 161 of file sysproto.h.

size_t read_args::nbyte

Definition at line 163 of file sysproto.h.

Referenced by read().

char read_args::nbyte_l_[0]

Definition at line 163 of file sysproto.h.

char read_args::nbyte_r_[(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

Definition at line 163 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h